<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GeoFenceInsert StructType
 * @subpackage Structs
 */
class GeoFenceInsert extends GeoFence
{
    /**
     * The GeoZones
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfGeoZone
     */
    public $GeoZones;
    /**
     * Constructor method for GeoFenceInsert
     * @uses GeoFenceInsert::setGeoZones()
     * @param \ArrayType\ArrayOfGeoZone $geoZones
     */
    public function __construct(\ArrayType\ArrayOfGeoZone $geoZones = null)
    {
        $this
            ->setGeoZones($geoZones);
    }
    /**
     * Get GeoZones value
     * @return \ArrayType\ArrayOfGeoZone|null
     */
    public function getGeoZones()
    {
        return $this->GeoZones;
    }
    /**
     * Set GeoZones value
     * @param \ArrayType\ArrayOfGeoZone $geoZones
     * @return \StructType\GeoFenceInsert
     */
    public function setGeoZones(\ArrayType\ArrayOfGeoZone $geoZones = null)
    {
        $this->GeoZones = $geoZones;
        return $this;
    }
}
